<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: GSKStretchyHeaderView.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7fb163a4dc89aca96d4e26f985650b07.html">YLYL</a></li><li class="navelem"><a class="el" href="dir_8f6c78d92b415dfcccfa2f3a69d58ce9.html">Utitlity</a></li><li class="navelem"><a class="el" href="dir_746bc2e5aa6af5a47b0a69d97dce13e1.html">HeaderProfile</a></li><li class="navelem"><a class="el" href="dir_68eb07ee257a314364882c6d29c3197f.html">GSKStretchyHeaderView</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GSKStretchyHeaderView.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// GSKStretchyHeaderView.h</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Copyright (c) 2016, 2017 Jose Alcalá Correa ( http://github.com/gskbyte )</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// of this software and associated documentation files (the &quot;Software&quot;), to deal</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// in the Software without restriction, including without limitation the rights</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// The above copyright notice and this permission notice shall be included in</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// all copies or substantial portions of the Software.</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">// THE SOFTWARE.</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#import &quot;GSKGeometry.h&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#import &quot;UIView+GSKTransplantSubviews.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;NS_ASSUME_NONNULL_BEGIN</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSUInteger, GSKStretchyHeaderViewContentAnchor) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    GSKStretchyHeaderViewContentAnchorTop = 0,</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    GSKStretchyHeaderViewContentAnchorBottom = 1</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;};</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSUInteger, GSKStretchyHeaderViewExpansionMode) {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    GSKStretchyHeaderViewExpansionModeTopOnly = 0,</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    GSKStretchyHeaderViewExpansionModeImmediate = 1</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;};</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html">   57</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_g_s_k_stretchy_header_view.html">GSKStretchyHeaderView</a> : UIView</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#if TARGET_INTERFACE_BUILDER</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable NSUInteger <a class="code" href="interface_g_s_k_stretchy_header_view.html#a1ed70fbe1c5389e85958c86c2aa6b55e">expansionMode</a>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a1ed70fbe1c5389e85958c86c2aa6b55e">   66</a></span>&#160;<span class="keyword">@property</span>(nonatomic) GSKStretchyHeaderViewExpansionMode <a class="code" href="interface_g_s_k_stretchy_header_view.html#a1ed70fbe1c5389e85958c86c2aa6b55e">expansionMode</a>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#adf47d44f727451265e8aa33a94796317">   72</a></span>&#160;<span class="keyword">@property</span>(nonatomic, readonly) UIView *<a class="code" href="interface_g_s_k_stretchy_header_view.html#adf47d44f727451265e8aa33a94796317">contentView</a>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a3d849e2b235549141ef64e6991a35694">   77</a></span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable CGFloat <a class="code" href="interface_g_s_k_stretchy_header_view.html#a3d849e2b235549141ef64e6991a35694">maximumContentHeight</a>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a995990fc280770cd24bb79e146896f01">   82</a></span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable CGFloat <a class="code" href="interface_g_s_k_stretchy_header_view.html#a995990fc280770cd24bb79e146896f01">minimumContentHeight</a>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a0845756cf506f27bc58dc915d840b0cc">   87</a></span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable UIEdgeInsets <a class="code" href="interface_g_s_k_stretchy_header_view.html#a0845756cf506f27bc58dc915d840b0cc">contentInset</a>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160; </div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#if TARGET_INTERFACE_BUILDER</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable NSUInteger <a class="code" href="interface_g_s_k_stretchy_header_view.html#a968cba52948622509890101b6985c71e">contentAnchor</a>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a968cba52948622509890101b6985c71e">   97</a></span>&#160;<span class="keyword">@property</span>(nonatomic) GSKStretchyHeaderViewContentAnchor <a class="code" href="interface_g_s_k_stretchy_header_view.html#a968cba52948622509890101b6985c71e">contentAnchor</a>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a76da66ffa7663c526949978ec44c4d14">  106</a></span>&#160;<span class="keyword">@property</span>(nonatomic) BOOL <a class="code" href="interface_g_s_k_stretchy_header_view.html#a76da66ffa7663c526949978ec44c4d14">manageScrollViewInsets</a>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#a5151a8dceb07778f59e2596272133c31">  120</a></span>&#160;<span class="keyword">@property</span>(nonatomic) BOOL <a class="code" href="interface_g_s_k_stretchy_header_view.html#a5151a8dceb07778f59e2596272133c31">manageScrollViewSubviewHierarchy</a>;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#abd5ff040a205dd4223d9c788e612228d">  125</a></span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable BOOL <a class="code" href="interface_g_s_k_stretchy_header_view.html#abd5ff040a205dd4223d9c788e612228d">contentShrinks</a>;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div><div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="interface_g_s_k_stretchy_header_view.html#abe10eba9ecf761a61ea748e8c25e439b">  131</a></span>&#160;<span class="keyword">@property</span>(nonatomic) IBInspectable BOOL <a class="code" href="interface_g_s_k_stretchy_header_view.html#abe10eba9ecf761a61ea748e8c25e439b">contentExpands</a>;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;- (void)setMaximumContentHeight:(CGFloat)maximumContentHeight</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;                  resetAnimated:(BOOL)animated;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; </div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160; </div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160; </div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="protocol_g_s_k_stretchy_header_view_stretch_delegate-p.html">  142</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_g_s_k_stretchy_header_view_stretch_delegate-p.html">GSKStretchyHeaderViewStretchDelegate</a> &lt;NSObject&gt;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;- (void)stretchyHeaderView:(<a class="code" href="interface_g_s_k_stretchy_header_view.html">GSKStretchyHeaderView</a> *)headerView</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    didChangeStretchFactor:(CGFloat)stretchFactor;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160; </div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160; </div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; </div><div class="line"><a name="l00156"></a><span class="lineno"><a class="line" href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html">  156</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html">GSKStretchyHeaderView (StretchFactor)</a></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160; </div><div class="line"><a name="l00162"></a><span class="lineno"><a class="line" href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html#a5d5881df8e6cedbf6de70795d2b19b01">  162</a></span>&#160;<span class="keyword">@property</span> (nonatomic, readonly) CGFloat <a class="code" href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html#a5d5881df8e6cedbf6de70795d2b19b01">stretchFactor</a>;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160; </div><div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html#a74479359d57b8fe48b64394a99501e5e">  167</a></span>&#160;<span class="keyword">@property</span> (nonatomic, weak) id&lt;GSKStretchyHeaderViewStretchDelegate&gt; <a class="code" href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html#a74479359d57b8fe48b64394a99501e5e">stretchDelegate</a>;</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160; </div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;- (void)didChangeStretchFactor:(CGFloat)stretchFactor;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160; </div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160; </div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160; </div><div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="category_g_s_k_stretchy_header_view_07_layout_08.html">  179</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_g_s_k_stretchy_header_view_07_layout_08.html">GSKStretchyHeaderView (Layout)</a></div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160; </div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;- (void)<a class="code" href="category_g_s_k_stretchy_header_view_07_layout_08.html#af5731fcad065a9d3399487e7e6e842a7">contentViewDidLayoutSubviews</a>;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160; </div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160; </div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;NS_ASSUME_NONNULL_END</div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acategory_g_s_k_stretchy_header_view_07_layout_08_html"><div class="ttname"><a href="category_g_s_k_stretchy_header_view_07_layout_08.html">GSKStretchyHeaderView(Layout)</a></div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:179</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a76da66ffa7663c526949978ec44c4d14"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a76da66ffa7663c526949978ec44c4d14">GSKStretchyHeaderView::manageScrollViewInsets</a></div><div class="ttdeci">BOOL manageScrollViewInsets</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:106</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_abe10eba9ecf761a61ea748e8c25e439b"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#abe10eba9ecf761a61ea748e8c25e439b">GSKStretchyHeaderView::contentExpands</a></div><div class="ttdeci">IBInspectable BOOL contentExpands</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:131</div></div>
<div class="ttc" id="acategory_g_s_k_stretchy_header_view_07_stretch_factor_08_html_a5d5881df8e6cedbf6de70795d2b19b01"><div class="ttname"><a href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html#a5d5881df8e6cedbf6de70795d2b19b01">GSKStretchyHeaderView(StretchFactor)::stretchFactor</a></div><div class="ttdeci">CGFloat stretchFactor</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:162</div></div>
<div class="ttc" id="acategory_g_s_k_stretchy_header_view_07_stretch_factor_08_html"><div class="ttname"><a href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html">GSKStretchyHeaderView(StretchFactor)</a></div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:156</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html">GSKStretchyHeaderView</a></div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:57</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a3d849e2b235549141ef64e6991a35694"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a3d849e2b235549141ef64e6991a35694">GSKStretchyHeaderView::maximumContentHeight</a></div><div class="ttdeci">IBInspectable CGFloat maximumContentHeight</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:77</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a995990fc280770cd24bb79e146896f01"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a995990fc280770cd24bb79e146896f01">GSKStretchyHeaderView::minimumContentHeight</a></div><div class="ttdeci">IBInspectable CGFloat minimumContentHeight</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:82</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a1ed70fbe1c5389e85958c86c2aa6b55e"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a1ed70fbe1c5389e85958c86c2aa6b55e">GSKStretchyHeaderView::expansionMode</a></div><div class="ttdeci">GSKStretchyHeaderViewExpansionMode expansionMode</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:66</div></div>
<div class="ttc" id="acategory_g_s_k_stretchy_header_view_07_layout_08_html_af5731fcad065a9d3399487e7e6e842a7"><div class="ttname"><a href="category_g_s_k_stretchy_header_view_07_layout_08.html#af5731fcad065a9d3399487e7e6e842a7">-[GSKStretchyHeaderView(Layout) contentViewDidLayoutSubviews]</a></div><div class="ttdeci">void contentViewDidLayoutSubviews()</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.m:321</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a968cba52948622509890101b6985c71e"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a968cba52948622509890101b6985c71e">GSKStretchyHeaderView::contentAnchor</a></div><div class="ttdeci">GSKStretchyHeaderViewContentAnchor contentAnchor</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:97</div></div>
<div class="ttc" id="acategory_g_s_k_stretchy_header_view_07_stretch_factor_08_html_a74479359d57b8fe48b64394a99501e5e"><div class="ttname"><a href="category_g_s_k_stretchy_header_view_07_stretch_factor_08.html#a74479359d57b8fe48b64394a99501e5e">GSKStretchyHeaderView(StretchFactor)::stretchDelegate</a></div><div class="ttdeci">id&lt; GSKStretchyHeaderViewStretchDelegate &gt; stretchDelegate</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:167</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a5151a8dceb07778f59e2596272133c31"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a5151a8dceb07778f59e2596272133c31">GSKStretchyHeaderView::manageScrollViewSubviewHierarchy</a></div><div class="ttdeci">BOOL manageScrollViewSubviewHierarchy</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:120</div></div>
<div class="ttc" id="aprotocol_g_s_k_stretchy_header_view_stretch_delegate-p_html"><div class="ttname"><a href="protocol_g_s_k_stretchy_header_view_stretch_delegate-p.html">GSKStretchyHeaderViewStretchDelegate-p</a></div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:142</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_adf47d44f727451265e8aa33a94796317"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#adf47d44f727451265e8aa33a94796317">GSKStretchyHeaderView::contentView</a></div><div class="ttdeci">UIView * contentView</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:72</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_a0845756cf506f27bc58dc915d840b0cc"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#a0845756cf506f27bc58dc915d840b0cc">GSKStretchyHeaderView::contentInset</a></div><div class="ttdeci">IBInspectable UIEdgeInsets contentInset</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:87</div></div>
<div class="ttc" id="ainterface_g_s_k_stretchy_header_view_html_abd5ff040a205dd4223d9c788e612228d"><div class="ttname"><a href="interface_g_s_k_stretchy_header_view.html#abd5ff040a205dd4223d9c788e612228d">GSKStretchyHeaderView::contentShrinks</a></div><div class="ttdeci">IBInspectable BOOL contentShrinks</div><div class="ttdef"><b>Definition:</b> GSKStretchyHeaderView.h:125</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
